Bug 232852 - The aplication digikam closed
Summary: The aplication digikam closed
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Thumbs-Image (show other bugs)
Version: 1.0.0
Platform: Unlisted Binaries Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-31 15:27 UTC by joseluis
Modified: 2017-06-29 14:54 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description joseluis 2010-03-31 15:27:52 UTC
Application that crashed: digikam
Version of the application: 1.0.0
KDE Version: 4.3.5 (KDE 4.3.5)
Qt Version: 4.5.2
Operating System: Linux 2.6.31-21-generic i686
Distribution: Ubuntu 9.10

What I was doing when the application crashed:
When I am working with Digicam the application stops suddenly

 -- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0xb76ff920 (LWP 6581))]

Thread 16 (Thread 0xb605db70 (LWP 6582)):
#0  0x00b63422 in __kernel_vsyscall ()
#1  0x00a1be15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x0165487d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x02d01e67 in QWaitConditionPrivate::wait (this=0x8b29710, mutex=0x8b2970c, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x8b29710, mutex=0x8b2970c, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x08319c89 in Digikam::ScanController::run (this=0x8b46d60) at /build/buildd/digikam-1.0.0/digikam/scancontroller.cpp:499
#6  0x02d00e32 in QThreadPrivate::start (arg=0x8b46d60) at thread/qthread_unix.cpp:188
#7  0x00a1780e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x016478de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 15 (Thread 0xb55ffb70 (LWP 6584)):
#0  0x02f4ce06 in clock_gettime () from /lib/tls/i686/cmov/librt.so.1
#1  0x02e1dbf3 in QTimerInfoList::getTime (this=0x8c8e9cc, t=...) at kernel/qeventdispatcher_unix.cpp:339
#2  0x02e1dde1 in QTimerInfoList::updateCurrentTime (this=0x8c8e9cc) at kernel/qeventdispatcher_unix.cpp:297
#3  0x02e1e88c in QTimerInfoList::timerWait (this=0x8c8e9cc, tm=...) at kernel/qeventdispatcher_unix.cpp:420
#4  0x02e1c210 in timerSourcePrepare (source=0x8c8e998, timeout=0xb55ff11c) at kernel/qeventdispatcher_glib.cpp:141
#5  0x03441f90 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#6  0x03442351 in ?? () from /lib/libglib-2.0.so.0
#7  0x03442863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#8  0x02e1c067 in QEventDispatcherGlib::processEvents (this=0x8c8e8a8, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#9  0x02defc79 in QEventLoop::processEvents (this=0xb55ff2e4, flags=) at kernel/qeventloop.cpp:149
#10 0x02df00ca in QEventLoop::exec (this=0xb55ff2e4, flags=...) at kernel/qeventloop.cpp:201
#11 0x02cfdb73 in QThread::exec (this=0x8dc7bf0) at thread/qthread.cpp:487
#12 0x01d5f34d in Digikam::ImageFilterModelWorker::Thread::run() () from /usr/lib/libdigikamdatabase.so.1
#13 0x02d00e32 in QThreadPrivate::start (arg=0x8dc7bf0) at thread/qthread_unix.cpp:188
#14 0x00a1780e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#15 0x016478de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 14 (Thread 0xb3998b70 (LWP 6585)):
#0  0x02f4ce06 in clock_gettime () from /lib/tls/i686/cmov/librt.so.1
#1  0x02e1dbf3 in QTimerInfoList::getTime (this=0x8b37c84, t=...) at kernel/qeventdispatcher_unix.cpp:339
#2  0x02e1dde1 in QTimerInfoList::updateCurrentTime (this=0x8b37c84) at kernel/qeventdispatcher_unix.cpp:297
#3  0x02e1e88c in QTimerInfoList::timerWait (this=0x8b37c84, tm=...) at kernel/qeventdispatcher_unix.cpp:420
#4  0x02e1c210 in timerSourcePrepare (source=0x8b37c50, timeout=0xb399811c) at kernel/qeventdispatcher_glib.cpp:141
#5  0x03441f90 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#6  0x03442351 in ?? () from /lib/libglib-2.0.so.0
#7  0x03442863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#8  0x02e1c067 in QEventDispatcherGlib::processEvents (this=0x8b62f48, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#9  0x02defc79 in QEventLoop::processEvents (this=0xb39982e4, flags=) at kernel/qeventloop.cpp:149
#10 0x02df00ca in QEventLoop::exec (this=0xb39982e4, flags=...) at kernel/qeventloop.cpp:201
#11 0x02cfdb73 in QThread::exec (this=0x8c9fdf0) at thread/qthread.cpp:487
#12 0x01d5f34d in Digikam::ImageFilterModelWorker::Thread::run() () from /usr/lib/libdigikamdatabase.so.1
#13 0x02d00e32 in QThreadPrivate::start (arg=0x8c9fdf0) at thread/qthread_unix.cpp:188
#14 0x00a1780e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#15 0x016478de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 13 (Thread 0xb3117b70 (LWP 6586)):
[KCrash Handler]
#6  0x0112af74 in Digikam::TIFFLoader::load (this=0xb3116b90, filePath=..., observer=0xbde1750) at /build/buildd/digikam-1.0.0/libs/dimg/loaders/tiffloader.cpp:391
#7  0x011139f8 in Digikam::DImg::load (this=0xb3116eac, filePath=..., loadFlagsInt=13, observer=0xbde1750, rawDecodingSettings=...) at /build/buildd/digikam-1.0.0/libs/dimg/dimg.cpp:399
#8  0x01114602 in Digikam::DImg::load (this=0xb3116eac, filePath=..., loadMetadata=false, loadICCData=true, loadUniqueHash=false, observer=0xbde1750, rawDecodingSettings=)
    at /build/buildd/digikam-1.0.0/libs/dimg/dimg.cpp:359
#9  0x012062f0 in Digikam::ThumbnailCreator::loadWithDImg (this=0x8ea30c0, path=..., profile=0xb3117000) at /build/buildd/digikam-1.0.0/libs/threadimageio/thumbnailcreator.cpp:378
#10 0x01208491 in Digikam::ThumbnailCreator::createThumbnail (this=0x8ea30c0, info=...) at /build/buildd/digikam-1.0.0/libs/threadimageio/thumbnailcreator.cpp:301
#11 0x01208b68 in Digikam::ThumbnailCreator::load (this=0x8ea30c0, path=...) at /build/buildd/digikam-1.0.0/libs/threadimageio/thumbnailcreator.cpp:195
#12 0x0120fff0 in Digikam::ThumbnailLoadingTask::execute (this=0xbde1748) at /build/buildd/digikam-1.0.0/libs/threadimageio/thumbnailtask.cpp:133
#13 0x011e987a in Digikam::LoadSaveThread::run (this=0x8ee7828) at /build/buildd/digikam-1.0.0/libs/threadimageio/loadsavethread.cpp:134
#14 0x02d00e32 in QThreadPrivate::start (arg=0x8ee7828) at thread/qthread_unix.cpp:188
#15 0x00a1780e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#16 0x016478de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 12 (Thread 0xb2916b70 (LWP 6587)):
#0  0x03441fb0 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#1  0x03442351 in ?? () from /lib/libglib-2.0.so.0
#2  0x03442863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x02e1c067 in QEventDispatcherGlib::processEvents (this=0x8efcc30, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#4  0x02defc79 in QEventLoop::processEvents (this=0xb2916304, flags=) at kernel/qeventloop.cpp:149
#5  0x02df00ca in QEventLoop::exec (this=0xb2916304, flags=...) at kernel/qeventloop.cpp:201
#6  0x02cfdb73 in QThread::exec (this=0x8efbd20) at thread/qthread.cpp:487
#7  0x02d00e32 in QThreadPrivate::start (arg=0x8efbd20) at thread/qthread_unix.cpp:188
#8  0x00a1780e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#9  0x016478de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 11 (Thread 0xb2115b70 (LWP 6588)):
#0  0x00b63422 in __kernel_vsyscall ()
#1  0x01639c96 in poll () from /lib/tls/i686/cmov/libc.so.6
#2  0x0344f54b in g_poll () from /lib/libglib-2.0.so.0
#3  0x0344256b in ?? () from /lib/libglib-2.0.so.0
#4  0x03442863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x02e1c067 in QEventDispatcherGlib::processEvents (this=0x8efbfc0, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#6  0x02defc79 in QEventLoop::processEvents (this=0xb2115304, flags=) at kernel/qeventloop.cpp:149
#7  0x02df00ca in QEventLoop::exec (this=0xb2115304, flags=...) at kernel/qeventloop.cpp:201
#8  0x02cfdb73 in QThread::exec (this=0x8efc0d0) at thread/qthread.cpp:487
#9  0x02d00e32 in QThreadPrivate::start (arg=0x8efc0d0) at thread/qthread_unix.cpp:188
#10 0x00a1780e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#11 0x016478de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 10 (Thread 0xb1914b70 (LWP 6589)):
#0  0x00b63422 in __kernel_vsyscall ()
#1  0x00a1be15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x0165487d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x02d01e67 in QWaitConditionPrivate::wait (this=0x8eed038, mutex=0x8eed034, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x8eed038, mutex=0x8eed034, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x011e98aa in Digikam::LoadSaveThread::run (this=0x8eed028) at /build/buildd/digikam-1.0.0/libs/threadimageio/loadsavethread.cpp:131
#6  0x02d00e32 in QThreadPrivate::start (arg=0x8eed028) at thread/qthread_unix.cpp:188
#7  0x00a1780e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x016478de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 9 (Thread 0xaf3b3b70 (LWP 6590)):
#0  0x00b63422 in __kernel_vsyscall ()
#1  0x00a1c142 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x016548d4 in pthread_cond_timedwait () from /lib/tls/i686/cmov/libc.so.6
#3  0x06b419ff in ?? () from /usr/lib/libxine.so.1
#4  0x00a1780e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#5  0x016478de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 8 (Thread 0xae7a7b70 (LWP 6591)):
#0  0x00b63422 in __kernel_vsyscall ()
#1  0x01640a71 in select () from /lib/tls/i686/cmov/libc.so.6
#2  0x06b6abe0 in xine_usec_sleep () from /usr/lib/libxine.so.1
#3  0x06b4f011 in ?? () from /usr/lib/libxine.so.1
#4  0x00a1780e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#5  0x016478de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 7 (Thread 0xadfa6b70 (LWP 6592)):
#0  0x00a1b106 in __pthread_mutex_unlock_usercnt () from /lib/tls/i686/cmov/libpthread.so.0
#1  0x01654a86 in pthread_mutex_unlock () from /lib/tls/i686/cmov/libc.so.6
#2  0x03441f7e in g_main_context_prepare () from /lib/libglib-2.0.so.0
#3  0x03442351 in ?? () from /lib/libglib-2.0.so.0
#4  0x03442863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x02e1c067 in QEventDispatcherGlib::processEvents (this=0x948dce0, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#6  0x02defc79 in QEventLoop::processEvents (this=0xadfa62b4, flags=) at kernel/qeventloop.cpp:149
#7  0x02df00ca in QEventLoop::exec (this=0xadfa62b4, flags=...) at kernel/qeventloop.cpp:201
#8  0x02cfdb73 in QThread::exec (this=0x9079c70) at thread/qthread.cpp:487
#9  0x06dc920a in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#10 0x02d00e32 in QThreadPrivate::start (arg=0x9079c70) at thread/qthread_unix.cpp:188
#11 0x00a1780e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#12 0x016478de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 6 (Thread 0xad7a5b70 (LWP 6598)):
#0  0x00b63422 in __kernel_vsyscall ()
#1  0x01639c96 in poll () from /lib/tls/i686/cmov/libc.so.6
#2  0x02092c3b in ?? () from /usr/lib/xine/plugins/1.26/xineplug_ao_out_alsa.so
#3  0x00a1780e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#4  0x016478de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 5 (Thread 0xacfa4b70 (LWP 6599)):
#0  0x00b63422 in __kernel_vsyscall ()
#1  0x00a1be15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x0165487d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x06b525ee in ?? () from /usr/lib/libxine.so.1
#4  0x00a1780e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#5  0x016478de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 4 (Thread 0xaaf48b70 (LWP 6609)):
#0  0x00b63422 in __kernel_vsyscall ()
#1  0x00a1be15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x0165487d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x02d01e67 in QWaitConditionPrivate::wait (this=0x9c29fa8, mutex=0x9c29fa4, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x9c29fa8, mutex=0x9c29fa4, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x011e98aa in Digikam::LoadSaveThread::run (this=0x9c29f98) at /build/buildd/digikam-1.0.0/libs/threadimageio/loadsavethread.cpp:131
#6  0x02d00e32 in QThreadPrivate::start (arg=0x9c29f98) at thread/qthread_unix.cpp:188
#7  0x00a1780e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x016478de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 3 (Thread 0xab74ab70 (LWP 6617)):
#0  0x00b63422 in __kernel_vsyscall ()
#1  0x00a1be15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x0165487d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x02d01e67 in QWaitConditionPrivate::wait (this=0xa0583c8, mutex=0xa0583c4, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xa0583c8, mutex=0xa0583c4, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x011e98aa in Digikam::LoadSaveThread::run (this=0xa0583b8) at /build/buildd/digikam-1.0.0/libs/threadimageio/loadsavethread.cpp:131
#6  0x02d00e32 in QThreadPrivate::start (arg=0xa0583b8) at thread/qthread_unix.cpp:188
#7  0x00a1780e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x016478de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 2 (Thread 0xa4ae8b70 (LWP 6883)):
#0  0x00b63422 in __kernel_vsyscall ()
#1  0x00a1be15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x0165487d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x02d01e67 in QWaitConditionPrivate::wait (this=0xb53b5a8, mutex=0xb53b5a4, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xb53b5a8, mutex=0xb53b5a4, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x011e98aa in Digikam::LoadSaveThread::run (this=0xb53b598) at /build/buildd/digikam-1.0.0/libs/threadimageio/loadsavethread.cpp:131
#6  0x02d00e32 in QThreadPrivate::start (arg=0xb53b598) at thread/qthread_unix.cpp:188
#7  0x00a1780e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x016478de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb76ff920 (LWP 6581)):
#0  0x00b63422 in __kernel_vsyscall ()
#1  0x00a1c142 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x016548d4 in pthread_cond_timedwait () from /lib/tls/i686/cmov/libc.so.6
#3  0x02d0081e in thread_sleep (ti=0x1) at thread/qthread_unix.cpp:297
#4  0x02d00973 in QThread::msleep (msecs=200) at thread/qthread_unix.cpp:323
#5  0x06def9c4 in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#6  0x0029a2df in ~FactoryPrivate (this=0x8fed800, __in_chrg=<value optimized out>) at ../3rdparty/phonon/phonon/factory.cpp:199
#7  0x00298da5 in destroy () at ../3rdparty/phonon/phonon/factory.cpp:84
#8  0x0029647b in ~CleanUpGlobalStatic (this=0x2bb3f0, __in_chrg=<value optimized out>) at ../3rdparty/phonon/phonon/globalstatic_p.h:55
#9  0x015aa05f in ?? () from /lib/tls/i686/cmov/libc.so.6
#10 0x015aa0cf in exit () from /lib/tls/i686/cmov/libc.so.6
#11 0x036cbd8b in qt_xio_errhandler () at kernel/qapplication_x11.cpp:707
#12 0x027fcbaa in KApplication::xioErrhandler (this=0xbf8fe118, dpy=0x8a31fb0) at ../../kdeui/kernel/kapplication.cpp:408
#13 0x027fcbe6 in kde_xio_errhandler (dpy=0x8a31fb0) at ../../kdeui/kernel/kapplication.cpp:125
#14 0x023642e6 in _XIOError () from /usr/lib/libX11.so.6
#15 0x0236bf8a in ?? () from /usr/lib/libX11.so.6
#16 0x0236c8c6 in _XEventsQueued () from /usr/lib/libX11.so.6
#17 0x023555ff in XEventsQueued () from /usr/lib/libX11.so.6
#18 0x03709db5 in x11EventSourceCheck (s=0x8a23d00) at kernel/qguieventdispatcher_glib.cpp:87
#19 0x03441cd1 in g_main_context_check () from /lib/libglib-2.0.so.0
#20 0x0344247c in ?? () from /lib/libglib-2.0.so.0
#21 0x03442863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#22 0x02e1c02c in QEventDispatcherGlib::processEvents (this=0x89fae80, flags=...) at kernel/qeventdispatcher_glib.cpp:327
#23 0x03709be5 in QGuiEventDispatcherGlib::processEvents (this=0x89fae80, flags=...) at kernel/qguieventdispatcher_glib.cpp:202
#24 0x02defc79 in QEventLoop::processEvents (this=0xbf8fe064, flags=) at kernel/qeventloop.cpp:149
#25 0x02df00ca in QEventLoop::exec (this=0xbf8fe064, flags=...) at kernel/qeventloop.cpp:201
#26 0x02df253f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#27 0x03668dd7 in QApplication::exec () at kernel/qapplication.cpp:3525
#28 0x083bcb2b in main (argc=1, argv=0xbf8fe584) at /build/buildd/digikam-1.0.0/digikam/main.cpp:195

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2010-04-05 14:19:09 UTC
From the crash report I can't see how this is related to Phonon, the crash seems to be in Digikam. Gilles, any reason why this is reported against Phonon?

See the KCrashHandler below:

Thread 13 (Thread 0xb3117b70 (LWP 6586)):
[KCrash Handler]
#6  0x0112af74 in Digikam::TIFFLoader::load (this=0xb3116b90, filePath=...,
observer=0xbde1750) at
/build/buildd/digikam-1.0.0/libs/dimg/loaders/tiffloader.cpp:391
#7  0x011139f8 in Digikam::DImg::load (this=0xb3116eac, filePath=...,
loadFlagsInt=13, observer=0xbde1750, rawDecodingSettings=...) at
/build/buildd/digikam-1.0.0/libs/dimg/dimg.cpp:399
#8  0x01114602 in Digikam::DImg::load (this=0xb3116eac, filePath=...,
loadMetadata=false, loadICCData=true, loadUniqueHash=false, observer=0xbde1750,
rawDecodingSettings=)
    at /build/buildd/digikam-1.0.0/libs/dimg/dimg.cpp:359
#9  0x012062f0 in Digikam::ThumbnailCreator::loadWithDImg (this=0x8ea30c0,
path=..., profile=0xb3117000) at
/build/buildd/digikam-1.0.0/libs/threadimageio/thumbnailcreator.cpp:378
#10 0x01208491 in Digikam::ThumbnailCreator::createThumbnail (this=0x8ea30c0,
info=...) at
/build/buildd/digikam-1.0.0/libs/threadimageio/thumbnailcreator.cpp:301
#11 0x01208b68 in Digikam::ThumbnailCreator::load (this=0x8ea30c0, path=...) at
/build/buildd/digikam-1.0.0/libs/threadimageio/thumbnailcreator.cpp:195
#12 0x0120fff0 in Digikam::ThumbnailLoadingTask::execute (this=0xbde1748) at
/build/buildd/digikam-1.0.0/libs/threadimageio/thumbnailtask.cpp:133
#13 0x011e987a in Digikam::LoadSaveThread::run (this=0x8ee7828) at
/build/buildd/digikam-1.0.0/libs/threadimageio/loadsavethread.cpp:134
#14 0x02d00e32 in QThreadPrivate::start (arg=0x8ee7828) at
thread/qthread_unix.cpp:188
#15 0x00a1780e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#16 0x016478de in clone () from /lib/tls/i686/cmov/libc.so.6
Comment 2 caulier.gilles 2010-04-05 16:40:26 UTC
There is nothing special in tiff loader to crash digiKam... or it's a libtiff binary compatibility broken.

I always look on last part of trace where crash generally appear :

#5  0x06def9c4 in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#6  0x0029a2df in ~FactoryPrivate (this=0x8fed800, __in_chrg=<value optimized
out>) at ../3rdparty/phonon/phonon/factory.cpp:199
#7  0x00298da5 in destroy () at ../3rdparty/phonon/phonon/factory.cpp:84

this is why i set this entry in phonon.

Gilles
Comment 3 Martin Sandsmark 2010-04-08 00:34:14 UTC
Phonon-Xine is sleeping when the crash occurs, and the tiffloader is doing some funky pointer arithmetic where the backtrace says the crash is, so I really doubt this is ours, reassigning back to digikam.
Comment 4 caulier.gilles 2010-04-08 08:56:42 UTC
Right. tiff loader crash when rendering of thumb.

Gilles Caulier
Comment 5 caulier.gilles 2015-07-04 06:00:48 UTC
New digiKam 4.11.0 is available.

https://www.digikam.org/node/740

Can you reproduce the problem with this release ?
Comment 6 caulier.gilles 2016-07-03 07:00:36 UTC
With digiKam 5.0.0, this problem is not reproducible.

I close this file now. Re-open it if necessary.

Gilles Caulier